Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export
Class BaseExporterImporter

    java.lang.Object
      com.jaspersoft.jasperserver.export.BaseExporterImporter

Direct Known Subclasses:
  ExporterImpl, ImporterImpl

    public class BaseExporterImporter

extends java.lang.Object

Version:
  $Id: BaseExporterImporter.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`protected static CommandOut` | `commandOut`

Constructor Summary
`BaseExporterImporter()`

Method Summary
`java.lang.String` | `getCharacterEncoding()`
`CharacterEncodingProvider` | `getEncodingProvider()`
`java.lang.String` | `getIndexFilename()`
`java.lang.String` | `getIndexModuleElementName()`
`java.lang.String` | `getIndexModuleIdAttributeName()`
`java.lang.String` | `getIndexRootElementName()`
`ModuleRegister` | `getModuleRegister()`
`void` | `setEncodingProvider(CharacterEncodingProvider encodingProvider)`
`void` | `setIndexFilename(java.lang.String indexFilename)`
`void` | `setIndexModuleElementName(java.lang.String indexModuleElementName)`
`void` | `setIndexModuleIdAttributeName(java.lang.String indexModuleIdAttributeName)`
`void` | `setIndexRootElementName(java.lang.String indexRootElement)`
`void` | `setModuleRegister(ModuleRegister moduleRegister)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### commandOut

    protected static final CommandOut commandOut

Constructor Detail

### BaseExporterImporter

    public BaseExporterImporter()

Method Detail

### getIndexRootElementName

    public java.lang.String getIndexRootElementName()

### setIndexRootElementName

    public void setIndexRootElementName(java.lang.String indexRootElement)

### getIndexModuleElementName

    public java.lang.String getIndexModuleElementName()

### setIndexModuleElementName

    public void setIndexModuleElementName(java.lang.String indexModuleElementName)

### getIndexModuleIdAttributeName

    public java.lang.String getIndexModuleIdAttributeName()

### setIndexModuleIdAttributeName

    public void setIndexModuleIdAttributeName(java.lang.String indexModuleIdAttributeName)

### getModuleRegister

    public ModuleRegister getModuleRegister()

### setModuleRegister

    public void setModuleRegister(ModuleRegister moduleRegister)

### getEncodingProvider

    public CharacterEncodingProvider getEncodingProvider()

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

### setEncodingProvider

    public void setEncodingProvider(CharacterEncodingProvider encodingProvider)

### getIndexFilename

    public java.lang.String getIndexFilename()

### setIndexFilename

    public void setIndexFilename(java.lang.String indexFilename)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.